Bug 1378676 - "transport.address-family: inet" option is not showing in the Vol info for 3.1.3 volume after updating to 3.2.
Summary: "transport.address-family: inet" option is not showing in the Vol info for 3...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.2
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: RHGS 3.2.0
Assignee: Atin Mukherjee
QA Contact: Byreddy
URL:
Whiteboard:
Depends On:
Blocks: 1351528
TreeView+ depends on / blocked
 
Reported: 2016-09-23 04:34 UTC by Byreddy
Modified: 2017-03-23 05:48 UTC (History)
6 users (show)

Fixed In Version: glusterfs-3.8.4-3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-23 05:48:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC
Red Hat Bugzilla 1378677 None CLOSED "nfs.disable: on" is not showing in Vol info by default for the 3.1.3 volumes after updating to 3.2 2019-08-30 03:50:15 UTC

Internal Links: 1378677

Description Byreddy 2016-09-23 04:34:25 UTC
Description of problem:
=======================
The volume option "transport.address-family: inet" is not showing for the  3.1.3 volume after updating to 3.2 ( glusterfs-3.8.4-1 ).

This option is showing for the volumes created after updating 3.2.

Version-Release number of selected component (if applicable):
=============================================================
glusterfs-3.8.4-1

How reproducible:
=================
Always


Steps to Reproduce:
===================
1. Have 3.1.3 setup with replica-1 volume 
2. Update to 3.2 ( glusterfs-3.8.4-1  ) 
3. Check volume info 
4. Create a new replica-2 volume  
5. Compare the volume info of replica-1 and replica-2

Actual results:
===============
"transport.address-family: inet" option is not showing in  the volume info for 3.1.3 volume after update to 3.2.


Expected results:
=================
Volume options in the volume info should be same for multiple same volume type by default.


Additional info:

Comment 3 Atin Mukherjee 2016-09-23 04:50:02 UTC
I think this option is populated at the time of volume creation, so this is an expected behaviour. Do you see any functionality issue here?

Comment 4 Atin Mukherjee 2016-09-26 05:33:20 UTC
The RCA of this bug goes same as of BZ 1378677. An upstream patch http://review.gluster.org/#/c/15568 is posted for review.

Comment 6 Atin Mukherjee 2016-10-18 05:28:30 UTC
upstream mainline : http://review.gluster.org/15568
upstream 3.9 : http://review.gluster.org/15652
downstream patch : https://code.engineering.redhat.com/gerrit/#/c/87434

Comment 8 Byreddy 2016-10-27 10:17:10 UTC
Verified this bug using the build - 3.8.4-3

Fix is working good and i am seeing the volume option transport.address-family: inet in the volume info after
updating 3.1.3 volume to 3.2 available build.

Moving to verified state.

Comment 10 errata-xmlrpc 2017-03-23 05:48:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.